Payment Links
curl --request GET \
--url https://nini.monieswitch.com/payment-link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/payment-link"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/payment-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"links": [
{
"id": "65a8cf01-f72e-48b2-9360-e98e02f16655",
"link": "https://pay.dev.monieswitch.com/dzHaBGQjvVfBbdsMPZo9rL4g0RW0nCoq1VjN",
"amount": 10000,
"hasPaid": false,
"bearer": "subaccount",
"name": "Feminelle Intimate Wash",
"status": "ACTIVE",
"createdAt": "2025-04-22T15:34:20.829Z"
},
{
"id": "c6ddcf6f-21ce-485d-b8a9-8abdb22168d7",
"link": "https://pay.dev.monieswitch.com/wgP6gqXeWcxTJS8j7uZt6dxZ4PebtNmJSCuv",
"amount": 5000,
"hasPaid": false,
"bearer": "subaccount",
"name": "Feminelle Intimate Wash",
"status": "ACTIVE",
"createdAt": "2025-04-22T15:15:07.710Z"
}
],
"page": 1,
"size": 50,
"totalRecords": 2,
"totalPages": 1
}
}Payment Link
Payment Links
GET
/
payment-link
Payment Links
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ACTIVE | INACTIVE
Body
application/json
The body is of type object.
⌘I